/***************************************************************************
Author Name		:	Raja Sekhara Reddy J
Date of Creation:	11/06/2002
Version Number	:	0.9
Purpose			:	This file is used to populate a table with the data <p>sTableData<p> passed.
***************************************************************************/

/***************************************************************************
Function Name	:	fnnPopulateTable
Parameters		:	<p>sTableData<p> A big string of Table data to be populated
					<p>arrParams<p> It is an array of parameters based on which the table gets populated.
						arrParams[0] specifies whether there is any non-display column in the table. 
							It is assumed that only first column can be hidden.
						arrParams[2] specifies whether first column should have radio buttons or not
Return			:	none

Description		:	This function populates a table with the data <p>sTableData<p> passed. It spilts
					the passed <p>sTableData<p> on the basis of '},' and stores into an array 'larrRows'.
					It strips of unneccessary '{', '}' from the 'larrRows' array. Then splits each row data 
					into individual cells and stores into the array 'larrCells'. Then depending on the arrParams
					values the table will get populated
***************************************************************************/

function fnnPopulateTable(sTableData, arrParams)
{
	
	
	if(sTableData == "")
	return;
	lbNondispCol= arrParams[0];
	//bDataCellLinks = arrParams[1];
	//bCheckbox = arrParams[2];
	lbRadioButton = arrParams[1];
	larrRows = sTableData.split("},"); /* sTableData is splitted based on delimiter '},' and returns an array of rows */

	/* 
	 * strip off the unwanted '{' and '}'
	 */

	for(var i=0;i<larrRows.length;i++)
	{
		larrRows[i] = larrRows[i].replace(/{|}/ig,"");
	}

	larrCells = new Array(larrRows.length); 
	/*
	 *	Split each row on the basis of delimiter ','  into cells
	 */
	for(var j=0;j<larrRows.length;j++)
	{
		larrCells[j] = larrRows[j].split(","); 
	}

	/*
	 * Populate the Table
	 */
	 var k = 0;
	 if(lbNondispCol) /* to check whether first column is non-display or not */
		 k=1;
	for (var i=0; i<larrCells.length; i++)
	{
		document.write("<tr>");
		if(lbRadioButton) /* to check whether first column has radio buttons or not */
		{
			document.write("<TD CLASS='clsBTableElement'><INPUT TYPE=\"radio\" NAME='ID' ID='Radio' VALUE = "+ larrCells[i][0] + " ONCLICK = 'fnnEnableDeleteBtn(false,\"" + larrCells[i][0] + "\")' >");
			document.write ("</TD>");
		}
		for (var j=k; j< larrCells[i].length;j++)
		{
				if(larrCells[i][j] == "")
					larrCells[i][j] = "&nbsp";
				document.write("<td class=clsBTableElement nowrap>"+ larrCells[i][j] + "</td>");
		}
		document.write("</tr>");
	}
}

